Bug 28096 - API datatables wrapper does not deal correctly with hidden columns
Summary: API datatables wrapper does not deal correctly with hidden columns
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 25287
Blocks: 27465
  Show dependency treegraph
 
Reported: 2021-04-06 15:56 UTC by Jonathan Druart
Modified: 2021-04-29 11:43 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 28096: Fix table settings for API datatables wrapper (1.67 KB, patch)
2021-04-06 15:59 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 28096: Fix table settings for API datatables wrapper (1.72 KB, patch)
2021-04-06 16:19 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 28096: Fix table settings for API datatables wrapper (1.78 KB, patch)
2021-04-17 18:52 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2021-04-06 15:56:04 UTC
Bug 25287 added the table settings to the API datatables wrapper but it does not handled correctly the hidden columns
Comment 1 Jonathan Druart 2021-04-06 15:59:01 UTC
Created attachment 119232 [details] [review]
Bug 28096: Fix table settings for API datatables wrapper

Bug 25287 added the table settings to the API datatables wrapper but it does not
handled correctly the hidden columns.

Test plan:
Go to Home > Administration > Table settings
Administration > libraries
Tick "Is hidden by default" for "library_address"
Go to Home > Administration > Libraries
Click Columns and check the "Address" column, it must be hidden
Comment 2 Lucas Gass 2021-04-06 16:19:22 UTC
Created attachment 119237 [details] [review]
Bug 28096: Fix table settings for API datatables wrapper

Bug 25287 added the table settings to the API datatables wrapper but it does not
handled correctly the hidden columns.

Test plan:
Go to Home > Administration > Table settings
Administration > libraries
Tick "Is hidden by default" for "library_address"
Go to Home > Administration > Libraries
Click Columns and check the "Address" column, it must be hidden

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Katrin Fischer 2021-04-17 18:52:22 UTC
Created attachment 119800 [details] [review]
Bug 28096: Fix table settings for API datatables wrapper

Bug 25287 added the table settings to the API datatables wrapper but it does not
handled correctly the hidden columns.

Test plan:
Go to Home > Administration > Table settings
Administration > libraries
Tick "Is hidden by default" for "library_address"
Go to Home > Administration > Libraries
Click Columns and check the "Address" column, it must be hidden

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2021-04-21 08:47:13 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 5 Fridolin Somers 2021-04-29 11:43:04 UTC
Does not apply on 20.11.x.

I think it depends on Bug 27402, not in 20.11.x.
Correct ?